# Submit a payment partial cancel request

Send a partial cancel request if you don't want to proceed with a payment.
**Note:** You can only cancel a payment which is authorized. If the payment is settled, you must create a refund.
You can only do a partial cancellation once for a payment.
If you send a second partial cancellation request, we will not reject it. Instead, we will fully cancel the remaining authorized amount, regardless of the `value.amount` you pass in that second request.

Endpoint: POST /api/payments/{linkData}/partialCancellations
Version: 2024-06-01
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Path parameters:

  - `linkData` (string, required)

## Header parameters:

  - `WP-Api-Version` (string, required)
    The API version

## Request fields (application/json):

  - `reference` (string, required)

  - `value` (object, required)
    The value and currency.

  - `value.currency` (string, required)
    The three character currency code. See list of supported currencies.
    Example: USD

  - `value.amount` (integer, required)
    The payment amount. Implied decimal. For example, 250 GBP = £2.50.
When set to `0` will perform a card verification instead of a payment as part of a new `customerAgreement`.
    Example: 250

## Request examples:

  - `sentForCancellation` (unknown)

## Response 202:

  - `202` (unknown)
    Accepted

## Response 202 fields (application/json):

  - `outcome` (string)
    Enum: "sentForCancellation"

  - `_links` (object)
    Return details about the status of the payment.

  - `_links.self` (object)

  - `_links.self.href` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 406:

  - `406` (unknown)
    Not acceptable

## Response 406 fields (application/json):

  - `errorName` (string)

  - `message` (string)

  - `headerName` (string)

## Response 415:

  - `415` (unknown)
    Unsupported media type

## Response 415 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 500:

  - `500` (unknown)
    Internal server error

## Response 500 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 202 examples:

  - `sentForCancellation` (unknown)

## Response 401 examples:

  - `Unauthorized` (unknown)

## Response 404 examples:

  - `Not found` (unknown)

## Response 406 examples:

  - `Not acceptable` (unknown)

## Response 415 examples:

  - `Unsupported media type` (unknown)

## Response 500 examples:

  - `Internal server error` (unknown)

